package com.xinelu.manage.domain.textmessage;

import com.xinelu.common.annotation.Excel;
import com.xinelu.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 短信模板信息对象 text_message
 *
 * @author xinelu
 * @date 2024-02-28
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "短信模板信息对象", description = "text_message")
public class TextMessage extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private Long id;

    /**
     * 所属科室id
     */
    @ApiModelProperty(value = "所属科室id")
    @Excel(name = "所属科室id")
    private Long departmentId;

    /**
     * 所属科室名称
     */
    @ApiModelProperty(value = "所属科室名称")
    @Excel(name = "所属科室名称")
    private String departmentName;

    /**
     * 病种id
     */
    @ApiModelProperty(value = "病种id")
    @Excel(name = "病种id")
    private Long diseaseTypeId;

    /**
     * 病种名称
     */
    @ApiModelProperty(value = "病种名称")
    @Excel(name = "病种名称")
    private String diseaseTypeName;

    /**
     * 短信模板名称
     */
    @ApiModelProperty(value = "短信模板名称")
    @Excel(name = "短信模板名称")
    private String textMessageName;

    /**
     * 短信ID
     */
    @ApiModelProperty(value = "短信ID")
    @Excel(name = "短信ID")
    private String textMessageId;

    /**
     * 短信内容
     */
    @ApiModelProperty(value = "短信内容")
    @Excel(name = "短信内容")
    private String textMessageContent;

    /**
     * 短信通道，水滴平台：WATER_DROPLET_PLATFORM
     */
    @ApiModelProperty(value = "短信通道，水滴平台：WATER_DROPLET_PLATFORM")
    @Excel(name = "短信通道，水滴平台：WATER_DROPLET_PLATFORM")
    private String textMessageChannel;

    /**
     * 短信状态，上架：GROUNDING，下架：OFF_SHELF
     */
    @ApiModelProperty(value = "短信状态，上架：GROUNDING，下架：OFF_SHELF")
    @Excel(name = "短信状态，上架：GROUNDING，下架：OFF_SHELF")
    private String textMessageStatus;

    /**
     * 短信排序
     */
    @ApiModelProperty(value = "短信排序")
    @Excel(name = "短信排序")
    private Integer textMessageSort;

    /**
     * 短信备注
     */
    @ApiModelProperty(value = "短信备注")
    @Excel(name = "短信备注")
    private String textMessageRemark;

	/**
	 * 公共模板库id
	 */
	private Long sourceTemplateId;

    /**
     * 短信变量，竖线隔开。来源于创建短息任务页面
     */
    private String variables;

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("departmentId", getDepartmentId())
                .append("departmentName", getDepartmentName())
                .append("diseaseTypeId", getDiseaseTypeId())
                .append("diseaseTypeName", getDiseaseTypeName())
                .append("textMessageName", getTextMessageName())
                .append("textMessageId", getTextMessageId())
                .append("textMessageContent", getTextMessageContent())
                .append("textMessageChannel", getTextMessageChannel())
                .append("textMessageStatus", getTextMessageStatus())
                .append("textMessageSort", getTextMessageSort())
                .append("textMessageRemark", getTextMessageRemark())
                .append("variables", getVariables())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
